/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.BreastGYNMammoSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_BreastPrimaryTumorAssessmentFromAJCC;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_BreastPrimaryTumorAssessmentFromAJCC;


/**
 * This class represents BreastPrimaryTumorAssessmentFromAJCC CID6160
 */
public class BreastPrimaryTumorAssessmentFromAJCC_CID6160 {

	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * The SNOMED CT ID for template.
	 */
	private String strSNOMEDCTID = null;
	/**
	 * Instantiates a new BreastPrimaryTumorAssessmentFromAJCC_CID6160 Template 
	 */
	public BreastPrimaryTumorAssessmentFromAJCC_CID6160()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}
	
	/**
	 * Retrieves the value for SNOMED-CT ID.
	 * @return String value for SNOMED-CT ID.
	 */
	public String getSNOMEDCTID() 
	{
		return strSNOMEDCTID;
	}
	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumBreastPrimaryTumorAssessmentFromAJCC Object of EnumCM_BreastPrimaryTumorAssessmentFromAJCC represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_BreastPrimaryTumorAssessmentFromAJCC enumBreastPrimaryTumorAssessmentFromAJCC)
	{
		switch(enumBreastPrimaryTumorAssessmentFromAJCC) 
		{
		case TX_PRIMARY_TUMOR_CANNOT_BE_ASSESSED_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.TX_PRIMARY_TUMOR_CANNOT_BE_ASSESSED_BREAST_R_003B8
					.getValue();
			break;
		case T0_NO_EVIDENCE_OF_PRIMARY_TUMOR_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T0_NO_EVIDENCE_OF_PRIMARY_TUMOR_BREAST_R_003B9
					.getValue();
			break;
		case TIS_CARCINOMA_IN_SITU_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.TIS_CARCINOMA_IN_SITU_BREAST_R_003BB
					.getValue();
			break;
		case TIS_DUCTAL_CARCINOMA_IN_SITU_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.TIS_DUCTAL_CARCINOMA_IN_SITU_BREAST_R_003BC
					.getValue();
			break;
		case TIS_LOBULAR_CARCINOMA_IN_SITU_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.TIS_LOBULAR_CARCINOMA_IN_SITU_BREAST_R_003BD
					.getValue();
			break;
		case TIS_PAGETS_DISEASE_OF_THE_NIPPLE_WITH_NO_TUMOR:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.TIS_PAGETS_DISEASE_OF_THE_NIPPLE_WITH_NO_TUMOR_R_003BE
					.getValue();
			break;
		case T1_TUMOR_2_CM_OR_LESS_IN_GREATEST_DIMENSION_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T1_TUMOR_2_CM_OR_LESS_IN_GREATEST_DIMENSION_BREAST_R_003BA
					.getValue();
			break;
		case T1MIC_MICROINVASION_0_1_CM_OR_LESS_IN_GREATEST_DIMENSION:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T1MIC_MICROINVASION_0_1_CM_OR_LESS_IN_GREATEST_DIMENSION_R_003BF
					.getValue();
			break;
		case T1A_TUMOR_MORE_THAN_0_1_CM_BUT_NOT_MORE_THAN_0_5_CM:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T1A_TUMOR_MORE_THAN_0_1_CM_BUT_NOT_MORE_THAN_0_5_CM_R_003C0
					.getValue();
			break;
		case T1B_TUMOR_MORE_THAN_0_5_CM_BUT_NOT_MORE_THAN_1_CM:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T1B_TUMOR_MORE_THAN_0_5_CM_BUT_NOT_MORE_THAN_1_CM_R_003C1
					.getValue();
			break;
		case T1C_TUMOR_MORE_THAN_1_CM_BUT_NOT_MORE_THAN_2_CM:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T1C_TUMOR_MORE_THAN_1_CM_BUT_NOT_MORE_THAN_2_CM_R_003C2
					.getValue();
			break;
		case T2_TUMOR_MORE_THAN_2_CM_BUT_NOT_MORE_THAN_5_CM:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T2_TUMOR_MORE_THAN_2_CM_BUT_NOT_MORE_THAN_5_CM_R_003C3
					.getValue();
			break;
		case T3_TUMOR_MORE_THAN_5_CM_IN_GREATEST_DIMENSION_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T3_TUMOR_MORE_THAN_5_CM_IN_GREATEST_DIMENSION_BREAST_R_003C4
					.getValue();
			break;
		case T4_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T4_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL_R_003C5
					.getValue();
			break;
		case T4A_TUMOR_OF_ANY_SIZE_WITH_EXTENSION_TO_CHEST_WALL_NOT_INCL:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T4A_TUMOR_OF_ANY_SIZE_WITH_EXTENSION_TO_CHEST_WALL_NOT_INCL_R_003C6
					.getValue();
			break;
		case T4B_TUMOR_OF_ANY_SIZE_WITH_EDEMA_INCLUDING_PEAU_DORANGE_:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T4B_TUMOR_OF_ANY_SIZE_WITH_EDEMA_INCLUDING_PEAU_DORANGE__R_003C7
					.getValue();
			break;
		case T4C_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T4C_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL_R_003C8
					.getValue();
			break;
		case T4_INFLAMMATORY_CARCINOMA_BREAST:
			this.strCodeValue = EnumCV_BreastPrimaryTumorAssessmentFromAJCC.T4_INFLAMMATORY_CARCINOMA_BREAST_R_003C9
					.getValue();
			break;

		}
	}

	/**
	 * Sets the SNOMED-CT ID.
	 * @param enumBreastPrimaryTumorAssessmentFromAJCC Object of EnumCM_BreastPrimaryTumorAssessmentFromAJCC represents Code Meaning.
	 */
	private void setSNOMEDCTID(EnumCM_BreastPrimaryTumorAssessmentFromAJCC enumBreastPrimaryTumorAssessmentFromAJCC)
	{
		switch(enumBreastPrimaryTumorAssessmentFromAJCC)
		{
		case TX_PRIMARY_TUMOR_CANNOT_BE_ASSESSED_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.TX_PRIMARY_TUMOR_CANNOT_BE_ASSESSED_BREAST
					.getSNOMEDCTID();
			break;
		case T0_NO_EVIDENCE_OF_PRIMARY_TUMOR_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T0_NO_EVIDENCE_OF_PRIMARY_TUMOR_BREAST
					.getSNOMEDCTID();
			break;
		case TIS_CARCINOMA_IN_SITU_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.TIS_CARCINOMA_IN_SITU_BREAST
					.getSNOMEDCTID();
			break;
		case TIS_DUCTAL_CARCINOMA_IN_SITU_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.TIS_DUCTAL_CARCINOMA_IN_SITU_BREAST
					.getSNOMEDCTID();
			break;
		case TIS_LOBULAR_CARCINOMA_IN_SITU_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.TIS_LOBULAR_CARCINOMA_IN_SITU_BREAST
					.getSNOMEDCTID();
			break;
		case TIS_PAGETS_DISEASE_OF_THE_NIPPLE_WITH_NO_TUMOR:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.TIS_PAGETS_DISEASE_OF_THE_NIPPLE_WITH_NO_TUMOR
					.getSNOMEDCTID();
			break;
		case T1_TUMOR_2_CM_OR_LESS_IN_GREATEST_DIMENSION_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T1_TUMOR_2_CM_OR_LESS_IN_GREATEST_DIMENSION_BREAST
					.getSNOMEDCTID();
			break;
		case T1MIC_MICROINVASION_0_1_CM_OR_LESS_IN_GREATEST_DIMENSION:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T1MIC_MICROINVASION_0_1_CM_OR_LESS_IN_GREATEST_DIMENSION
					.getSNOMEDCTID();
			break;
		case T1A_TUMOR_MORE_THAN_0_1_CM_BUT_NOT_MORE_THAN_0_5_CM:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T1A_TUMOR_MORE_THAN_0_1_CM_BUT_NOT_MORE_THAN_0_5_CM
					.getSNOMEDCTID();
			break;
		case T1B_TUMOR_MORE_THAN_0_5_CM_BUT_NOT_MORE_THAN_1_CM:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T1B_TUMOR_MORE_THAN_0_5_CM_BUT_NOT_MORE_THAN_1_CM
					.getSNOMEDCTID();
			break;
		case T1C_TUMOR_MORE_THAN_1_CM_BUT_NOT_MORE_THAN_2_CM:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T1C_TUMOR_MORE_THAN_1_CM_BUT_NOT_MORE_THAN_2_CM
					.getSNOMEDCTID();
			break;
		case T2_TUMOR_MORE_THAN_2_CM_BUT_NOT_MORE_THAN_5_CM:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T2_TUMOR_MORE_THAN_2_CM_BUT_NOT_MORE_THAN_5_CM
					.getSNOMEDCTID();
			break;
		case T3_TUMOR_MORE_THAN_5_CM_IN_GREATEST_DIMENSION_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T3_TUMOR_MORE_THAN_5_CM_IN_GREATEST_DIMENSION_BREAST
					.getSNOMEDCTID();
			break;
		case T4_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T4_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL
					.getSNOMEDCTID();
			break;
		case T4A_TUMOR_OF_ANY_SIZE_WITH_EXTENSION_TO_CHEST_WALL_NOT_INCL:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T4A_TUMOR_OF_ANY_SIZE_WITH_EXTENSION_TO_CHEST_WALL_NOT_INCL
					.getSNOMEDCTID();
			break;
		case T4B_TUMOR_OF_ANY_SIZE_WITH_EDEMA_INCLUDING_PEAU_DORANGE_:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T4B_TUMOR_OF_ANY_SIZE_WITH_EDEMA_INCLUDING_PEAU_DORANGE_
					.getSNOMEDCTID();
			break;
		case T4C_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T4C_TUMOR_OF_ANY_SIZE_WITH_DIRECT_EXTENSION_TO_CHEST_WALL
					.getSNOMEDCTID();
			break;
		case T4_INFLAMMATORY_CARCINOMA_BREAST:
			this.strSNOMEDCTID = BreastGYNMammoSNOMEDMap.T4_INFLAMMATORY_CARCINOMA_BREAST
					.getSNOMEDCTID();
			break;
		}
	}

	/**
	 * Sets the value for BreastPrimaryTumorAssessmentFromAJCC
	 * @param enumBreastPrimaryTumorAssessmentFromAJCC Object of EnumCM_BreastPrimaryTumorAssessmentFromAJCC.
	 */
	public void setBreastPrimaryTumorAssessmentFromAJCC(EnumCM_BreastPrimaryTumorAssessmentFromAJCC enumBreastPrimaryTumorAssessmentFromAJCC)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumBreastPrimaryTumorAssessmentFromAJCC.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.SRT.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumBreastPrimaryTumorAssessmentFromAJCC);

		/**
		 * set SNOMED-CT ID
		 */
		setSNOMEDCTID(enumBreastPrimaryTumorAssessmentFromAJCC);
	}
}
